---
search:
  tags:
    - offline-sync
    - GET
seo:
  description: >-
    Advertise the currently selected offline-sync contract version. Reference
    for the GET /api/v1/sync/contract-version endpoint in the Basenet Public
    API.
sidebar:
  label: Advertise the currently selected offline-sync contract version
  badge: GET
title: Advertise the currently selected offline-sync contract version
type: openapi-operation
---
Endpoint: `GET /api/v1/sync/contract-version`

Authentication: `bearerAuth` (Scoped API token (bnx\_…). Required scopes are noted per operation.)

Responses:
- `200`: Contract-version negotiation metadata
- `401`: Unauthenticated
- `403`: Forbidden (missing scope or permission)
- `429`: Rate limited

Response 200 body (`application/json`):
- `contractVersion` (one of `"v1"`, required)
- `supportedContractVersions` (array of one of `"v1"`, optional)
- `deprecation` (string or null, required)
- `migration` (string, required)
